export declare class SparkleAnimationPlayer {
  src: string;
  composition: string;
  initialClassMode: boolean;
  classMode: boolean;
  showCaption: boolean;
  paused: boolean;
  sizeOfCanvas: any;
  sizeofProgressBar: any;
  dataLoaded: boolean;
  currentProgressWidth: any;
  captionText: string;
  el: HTMLElement;
  canvas: any;
  anim_container: any;
  comp: any;
  exportRoot: any;
  timeline: any;
  stage: any;
  sound: any;
  firstFramePath: string;
  isBusy: boolean;
  animationVideoProgress: string;
  library: any;
  loader: any;
  private captionData;
  closedCaptionChange(event: CustomEvent): void;
  componentWillLoad(): void;
  readTextFile(fileName: any): void;
  isScriptLoaded(url: any): boolean;
  rergisterSoundControls(): void;
  startLoading(): void;
  doneLoading(): void;
  handleFileLoad(evt: any): void;
  handleQueueProgress(that: any): (progress: any) => void;
  handleComplete(evt: any): void;
  loadAnimation(): void;
  playButtonAction(): void;
  playPauseAnimation(): void;
  playAnimation(): Promise<void>;
  pauseAnimation(): Promise<void>;
  disconnectedCallback(): void;
  classRoomModeChanged(val: any): Promise<void>;
  destroyAnimation(): Promise<void>;
  makeResponsive(isResp: any, respDim: any, isScale: any, scaleType: any): void;
  resizeCanvas(isResp: any, respDim: any, isScale: any, scaleType: any): void;
  tickHandler(event: any): void;
  rewindAnimationTo(newPosition: any): void;
  rewindAnimationToStart(): void;
  rewindAnimation(event: any): void;
  rewind5Sec(): void;
  fastForward5Sec(): void;
  muteVolume(): void;
  downVolume(): void;
  upVolume(): void;
  render(): any;
}
